Skip to main content
GET
Get k8s cluster

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_name
string
required

Cluster name

Example:

"my-cluster"

Response

200 - application/json

OK

add_ons
K8sClusterAddonsV2Serializer · object
required

Cluster add-ons configuration

Example:
created_at
string
required

Function creation date

Example:

"2023-02-15T11:53:03Z"

csi
K8sClusterCSIV2Serializer · object
required

Cluster CSI settings

id
string
required

Cluster pool uuid

Example:

"f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1"

is_public
boolean
required

Cluster is public

Example:

false

keypair
string
required

Keypair

Example:

"mykeypair"

logging
LoggingOutSerializer · object | null
required

Logging configuration

Example:
name
string
required

Name

Example:

"test k8s"

pools
K8sClusterPoolV2Serializer · object[]
required

pools

status
enum<string>
required

Status

Available options:
Deleting,
Provisioned,
Provisioning
Example:

"Provisioned"

version
string
required

K8s version

Example:

"v1.28.1"

authentication
K8sClusterAuthenticationV2Serializer · object | null

Cluster authentication settings

Example:
autoscaler_config
Autoscaler Config · object | null

Cluster autoscaler configuration.

It contains overrides to the default cluster-autoscaler parameters provided by the platform.

Example:
cni
K8sClusterCNIV2Serializer · object | null

Cluster CNI settings

creator_task_id
string | null

Task that created this entity

Example:

"1772de21-f013-4b70-9f8f-a518985b3bc2"

ddos_profile
K8sClusterDdosProfileV2Serializer · object | null

Advanced DDoS Protection profile

Example:
fixed_network
string | null
default:""

Fixed network id

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

fixed_subnet
string | null
default:""

Fixed subnet id

Example:

"90729bc3-dd37-4761-ae09-b32f2f0a365b"

is_ipv6
boolean
default:false

Enable public v6 address

Examples:

true

false

pods_ip_pool
string | null
default:172.16.0.0/18

The IP pool for the pods

Example:

"172.16.0.0/18"

pods_ipv6_pool
string | null

The IPv6 pool for the pods

Example:

"2a03:90c0:88:393::/64"

services_ip_pool
string | null
default:172.24.0.0/18

The IP pool for the services

Example:

"172.24.0.0/18"

services_ipv6_pool
string | null

The IPv6 pool for the services

Example:

"2a03:90c0:88:381::/108"

task_id
string | null

The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.

Example:

null